events {
    worker_connections 1024;
}

stream {
    upstream minio_servers {
        server minio1:9000;
        server minio2:9000;
        server minio3:9000;
    }

    upstream minio_console_servers {
        server minio1:9001;
        server minio2:9001;
        server minio3:9001;
    }

    server {
        listen 9000;
        proxy_pass minio_servers;
    }

    server {
        listen 9001;
        proxy_pass minio_console_servers;
    }
}
